#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright (C) 2009, Sebastian Ramacher
# This file is released under a modified BSD license. See LICENSE.txt for
# details.
################################################################################

from libtorrent import bencode as ltbencode, bdecode as ltbdecode

bencode = ltbencode
bdecode = ltbdecode

class Bencached(object):
    __slots__ = ['bencoded']

    def __init__(self, s):
        self.bencoded = s
